com.aspose.omr

## Class OmrTemplate

- java.lang.Object
- - com.aspose.omr.OmrTemplate

-     public class OmrTemplate
      extends Object

  Represents an OMR document template

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OmrTemplate()` Initializes a new instance of the `OmrTemplate` class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OmrPagesCollection` | `getPages()` Gets the collection of pages within the template
    `static OmrTemplate` | `load(InputStream stream)` Loads the template.
    `static OmrTemplate` | `load(String fileName)` Loads the template.
    `void` | `save(OutputStream stream)` Saves the template.
    `void` | `save(String fileName)` Saves the template.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OmrTemplate

          public OmrTemplate()

      Initializes a new instance of the `OmrTemplate` class.

  - ### Method Detail

    - #### getPages

          public OmrPagesCollection getPages()

      Gets the collection of pages within the template

      Returns:
        the collection of pages within the template

    - #### load

          public static OmrTemplate load(InputStream stream)
                                  throws IOException

      Loads the template.

      Parameters:
        `stream` - Stream to load the template from.
      Returns:
        The freshly loaded `OmrTemplate`.
      Throws:
        `IOException`

    - #### load

          public static OmrTemplate load(String fileName)
                                  throws IOException

      Loads the template.

      Parameters:
        `fileName` - Name of the file to load the template from.
      Returns:
        The freshly loaded `OmrTemplate`.
      Throws:
        `IOException`

    - #### save

          public void save(OutputStream stream)

      Saves the template.

      Parameters:
        `stream` - Stream to save the template to.

    - #### save

          public void save(String fileName)
                    throws IOException

      Saves the template.

      Parameters:
        `fileName` - Name of the file to save the template to.
      Throws:
        `IOException`

Copyright © 2014. All rights reserved.